Redmine - Defect #24090

ArgumentError: Invalid Timezone: UTC

2016-10-18 11:01 - Pavel lvanov

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Resolution: Invalid Affected version: 3.3.1
Description
When /redmine/config/application.rb:25 is default:
# config.time_zone = 'Central Time (US & Canada)'
| try to run
/opt/bin/bundle exec /opt/bin/puma —-e production -b unix:///var/run/puma.sock -C "-" 2>&l >> /shar

e/redmine/log/puma.log

And saw

ArgumentError: Invalid Timezone: UTC
‘block in tsort_each'

“each'
1/1lib/active_support/core_ext/time/zones.rb:72
1/1lib/active_support/core_ext/time/zones.rb:56
1/1lib/active_support/railtie.rb:20:in “block i
7.1/1lib/rails/initializable.rb:30:in "instance_exec'

7.1/1lib/rails/initializable.rb:30:in "run'
7.1/1lib/rails/initializable.rb:55:in “block in run_in

"block (2 levels) in each_strongly_connected_component'
‘each_strongly_connected_component_from'
"block in each_strongly_connected_component'

/opt/lib/ruby/gems/2.3.0/gems/railties-4.2.7.1/1lib/rails/application.rb:352:in “initialize!’
/share/CACHEDEV1_DATA/redmine/config/environment.rb:14:in " <top
config.ru:3:in “block in <main>'
/opt/lib/ruby/gems/2.3.0/gems/puma-3.6.0/1ib/puma/launcher.rb:172:in “run'
/opt/lib/ruby/gems/2.3.0/gems/puma-3.6.0/1lib/puma/cli.rb:74:in "run'
/opt/lib/ruby/gems/2.3.0/gems/puma-3.6.0/bin/puma:10:in "<top (required)>"'
/opt/bin/puma:23:in " load'

/opt/bin/puma:23:in “<top (required)>'

When /redmine/config/application.rb:25 is

config.time_zone = 'Moscow'

all is ok!

History

#1 - 2016-10-18 19:36 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

$ rails console -e production

Loading production environment (Rails 4.2.7.1)
2.0.0-p648 :001 > Time.zone.to_s

=> " (GMT+00:00) UTC"

2.0.0-p648 :002 > Time.zone.now

=> Tue, 18 Oct 2016 17:35:10 UTC +00:00
